Package gbp :: Package deb :: Module changelog :: Class ChangeLogSection

[hide private]
[frames] | no frames]

# Class ChangeLogSection

    object --+
             |
            ChangeLogSection

A section in the changelog describing one particular version

Instance Methods | [hide private]

__init__(self, package, version) x.__init__(...) initializes x; see help(type(x)) for signature |

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Methods | [hide private]

ChangeLogSection

parse(klass, section) Parse one changelog section |

Properties | [hide private]

| package
| version
Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, package, version)
(Constructor)

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### parse(klass, section)
Class Method

Parse one changelog section

Parameters:
  - `section` (`str`) - a changelog section
Returns: ChangeLogSection
  the parse changelog section

Property Details | [hide private]

### package

Get Method:
  unreachable.package(self)

### version

Get Method:
  unreachable.version(self)